

exec sp_configure 'CLR Enabled', 1
reconfigure
GO

Alter Database VotreDatabase
Set Trustworthy On
GO

Use VotreDatabase
GO

CREATE ASSEMBLY [TheSQLServerMatrix]
FROM '<Votre chemin vers la DLL>\TheMatrixSqlClr.dll'
WITH PERMISSION_SET=EXTERNAL_ACCESS
GO

CREATE TYPE [QueryBuilder]
EXTERNAL NAME [TheSQLServerMatrix].[TheMatrixSqlClr.QueryBuilder]
GO

CREATE PROCEDURE [TheMatrix]
  @rowsQuery [QueryBuilder]
, @rowsQuery_ValueMember nvarchar(max)
, @rowsQuery_DisplayMember nvarchar(max)
, @firstColumnHeader nvarchar(max)
, @columnsQuery [QueryBuilder]
, @columnsQuery_ValueMember nvarchar(max)
, @columnsQuery_DisplayMember nvarchar(max)
, @contentQuery [QueryBuilder]
, @contentQuery_ColumnValueMember nvarchar(max)
, @contentQuery_RowValueMember nvarchar(max)
, @contentQuery_DisplayName nvarchar(max)
, @contentQuery_MissingValue sql_variant
, @diagnose bit = 0

AS
EXTERNAL NAME [TheSQLServerMatrix].[TheMatrixSqlClr.StoredProcedures].[TheMatrix]

